Bug 219438 - [PATCH] www/owncloud: Add missing php intl dependency
Summary: [PATCH] www/owncloud: Add missing php intl dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kevin Lo
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-05-21 16:49 UTC by fsbruva
Modified: 2017-05-24 07:06 UTC (History)
1 user (show)

See Also:


Attachments
Patch to address dependency. (465 bytes, patch)
2017-05-21 16:49 UTC, fsbruva
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fsbruva 2017-05-21 16:49:55 UTC
Created attachment 182779 [details]
Patch to address dependency.

According to the Owncloud documentation, the "intl" extension is optional, but recommended. When it is not installed, the log has the following entries:

"{"reqId":"gpjPLLXeOrbFYHhHNjew","level":3,"time":"Thu, 18 May 2017 17:16:58","remoteAddr":"x.x.x.x","user":"--","app":"PHP","method":"GET","url":"\/index.php\/login","message":"You are using a fallback implementation of the intl extension. Installing the native one is highly recommended instead. at \/usr\/local\/www\/owncloud\/lib\/composer\/patchwork\/utf8\/src\/Patchwork\/Utf8\/Bootup\/intl.php#18"}

php-intl should join the other "optional" extensions like bz2 & filetime to avoid the spurious errors. Or, provide an options menu for user.
Comment 1 Wen Heping freebsd_committer 2017-05-24 02:42:47 UTC
Pass to maintainer.
Comment 2 commit-hook freebsd_committer 2017-05-24 07:06:14 UTC
A commit references this bug:

Author: kevlo
Date: Wed May 24 07:05:45 UTC 2017
New revision: 441566
URL: https://svnweb.freebsd.org/changeset/ports/441566

Log:
  - Update to 10.0.1
  - Add missing php intl dependency [1]

  Changelog: https://owncloud.org/changelog/#latest10.0

  PR:	219438 [1]
  Submitted by:	Matt

Changes:
  head/www/owncloud/Makefile
  head/www/owncloud/distinfo
  head/www/owncloud/pkg-plist
Comment 3 Kevin Lo freebsd_committer 2017-05-24 07:06:29 UTC
Committed, thanks.